Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,34 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Test_Warn
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+#	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.arch
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.build
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+3
Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.depver
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Test_Warn	0
Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.md5
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+b80ae05404ba8d501cb6c0d8940db976  ./perlmod_Test_Differences.pkg
+36dce30afd279d7c0a4297dc215e14e2  ./perlmod_Test_Differences.SlackBuild
+9b15c1be67d0040031e4bc0f92d32cc7  ./perlmod_Test_Differences.SlackBuild.log.gz
+ecfda620fe133e36a6e392d94ab8424d  ./Test-Differences-0.64.tar.gz
Index: npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.version
===================================================================
--- npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Differences/perlmod_Test_Differences.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.64
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,34 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Sub_Uplevel
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.arch
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.build
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.depver
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Sub_Uplevel	0
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.md5
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+6b1f5886f4a4673603aab53f7239f135  ./perlmod_Test_Exception.pkg
+e383e8ca1dff27ebd7b3d4008f90c949  ./perlmod_Test_Exception.SlackBuild
+2d245687dce07db6edafcf0b5ffaffd4  ./perlmod_Test_Exception.SlackBuild.log.gz
+572d355026fb0b87fc2b8c64b83cada0  ./Test-Exception-0.43.tar.gz
Index: npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.version
===================================================================
--- npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Exception/perlmod_Test_Exception.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.43
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,32 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Module_Build
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Build.PL || exit 1
+	./Build install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.arch
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.build
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.depver
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Module_Build	0
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.md5
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+624ae44b22cd82d9c4b43fe14ee95dfb  ./perlmod_Test_MockModule.pkg
+10b18f967136b25a20f1e0c1653ae5d0  ./perlmod_Test_MockModule.SlackBuild
+b77af8378b889e01256f1dd3aab40051  ./perlmod_Test_MockModule.SlackBuild.log.gz
+2e9a4cc12d8a0f62486eb977095257aa  ./Test-MockModule-v0.170.0.tar.gz
Index: npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.version
===================================================================
--- npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_MockModule/perlmod_Test_MockModule.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+v0.170.0
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+#	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.arch
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.build
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.depver
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.md5
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+f4e22f9d2cd8c89f388d50e47745cdcd  ./perlmod_Test_Most.pkg
+e00c8a346bfe6c57a100e28527cb3e21  ./perlmod_Test_Most.SlackBuild
+945e9183bf251bdb0d64bd2ea318ed34  ./perlmod_Test_Most.SlackBuild.log.gz
+03dbabd34d6f40af8bd47f5fbb0c6989  ./Test-Most-0.35.tar.gz
Index: npl/perl/perlmod_Test_Most/perlmod_Test_Most.version
===================================================================
--- npl/perl/perlmod_Test_Most/perlmod_Test_Most.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Most/perlmod_Test_Most.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.35
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.arch
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.build
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.depver
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.md5
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+8c8a019445eb926d33e554f7deb6bdbd  ./perlmod_Test_Simple.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Test_Simple.SlackBuild
+0f9dc2781a3c84b0b1bd10e001ab6e96  ./perlmod_Test_Simple.SlackBuild.log.gz
+2a3eba9fbafe80a24ce75b604ab045f1  ./Test-Simple-1.302140.tar.gz
Index: npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.version
===================================================================
--- npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Simple/perlmod_Test_Simple.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.302140
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.SlackBuild
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Sub_Uplevel
+
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.arch
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.build
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.depver
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Sub_Uplevel	0
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.md5
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+366432ceb866539694f6e45bfaf7fd9c  ./perlmod_Test_Warn.pkg
+43b0ebad10f0bca1c96544a95622aeea  ./perlmod_Test_Warn.SlackBuild
+12a295da1b0206909a1f979e85bb387e  ./perlmod_Test_Warn.SlackBuild.log.gz
+3d958f43d36db263994affde5da09b51  ./Test-Warn-0.36.tar.gz
Index: npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.version
===================================================================
--- npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Test_Warn/perlmod_Test_Warn.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.36
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.SlackBuild
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,34 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Algorithm_Diff
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.arch
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.build
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.depver
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,2 @@
+perl	1
+perlmod_Algorithm_Diff	0
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.md5
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+974c4403ed657662f5771aff59b714b8  ./perlmod_Text_Diff.pkg
+0faaef4ce87125a77fc16aaafb3606b8  ./perlmod_Text_Diff.SlackBuild
+1935770d0f31e51a10645411f47a3ec3  ./perlmod_Text_Diff.SlackBuild.log.gz
+edf57b6189f7651a6be454062a4e6d9c  ./Text-Diff-1.45.tar.gz
Index: npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.version
===================================================================
--- npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Text_Diff/perlmod_Text_Diff.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.45
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.SlackBuild
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.arch
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.build
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.depver
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.md5
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+d1e0deb52bcc9f9b0f990ceb077a8ffd  ./inc-latest-0.500.tar.gz
+09fd0acccfff468d7968feabb49e00d5  ./perlmod_inc_latest.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_inc_latest.SlackBuild
+f205cd1d5b1fb45f95683a37aa6784b9  ./perlmod_inc_latest.SlackBuild.log.gz
Index: npl/perl/perlmod_inc_latest/perlmod_inc_latest.version
===================================================================
--- npl/perl/perlmod_inc_latest/perlmod_inc_latest.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_inc_latest/perlmod_inc_latest.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.500
Index: npl/perl/perlmod_version/perlmod_version.SlackBuild
===================================================================
--- npl/perl/perlmod_version/perlmod_version.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_version/perlmod_version.arch
===================================================================
--- npl/perl/perlmod_version/perlmod_version.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_version/perlmod_version.build
===================================================================
--- npl/perl/perlmod_version/perlmod_version.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_version/perlmod_version.depver
===================================================================
--- npl/perl/perlmod_version/perlmod_version.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_version/perlmod_version.md5
===================================================================
--- npl/perl/perlmod_version/perlmod_version.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+ac54a69937e0b766f7a15ce6722d6cad  ./perlmod_version.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_version.SlackBuild
+18ed744e889552a10995a4b96e7f3d72  ./perlmod_version.SlackBuild.log.gz
+8d252fa8530b53d4baefbb89c5c60929  ./version-0.9924.tar.gz
Index: npl/perl/perlmod_version/perlmod_version.version
===================================================================
--- npl/perl/perlmod_version/perlmod_version.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_version/perlmod_version.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+0.9924
